Subject: [Softwires] [Technical Errata Reported] RFC5969 (3049)

From: RFC Errata System <[email-masked]>
Date: Sun, 11 Dec 2011 07:13:33 -0800 (PST)

The following errata report has been submitted for RFC5969,
"IPv6 Rapid Deployment on IPv4 Infrastructures (6rd) -- Protocol Specification".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=5969&eid=3049

--------------------------------------
Type: Technical
Reported by: Alessandro Cortiana <[email-masked]>

Section: 12

Original Text
-------------
By restricting the 6rd domain to within a provider
network, a CE only needs to accept packets from a single or small set
of known 6rd BR IPv4 addresses.

Corrected Text
--------------
By restricting the 6rd domain to within a provider
network, a CE only needs to accept packets from a single or small set
of known 6rd BR IPv4 addresses and from other CEs within the 6rd domain.

Notes
-----
A CE also needs to accept packets from other CEs within the 6rd domain.
This happens when, within a 6rd domain, two customer sites want to communicate.
Reference: RFC5569 section 3

Instructions:
-------------
This errata is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC5969 (draft-ietf-softwire-ipv6-6rd-10)
--------------------------------------
Title               : IPv6 Rapid Deployment on IPv4 Infrastructures (6rd) -- Protocol Specification
Publication Date    : August 2010
Author(s)           : W. Townsley, O. Troan
Category            : PROPOSED STANDARD
Source              : Softwires
Area                : Internet
Stream              : IETF
Verifying Party     : IESG

---

From: "Hemant Singh (shemant)" <[email-masked]>
Date: Sun, 11 Dec 2011 11:13:45 -0600

While we are on the subject of Errata in RFC 5969, aren't the following
two pieces of text from RFC 5969 inconsistent?

[In 6rd, all CEs and BRs can be considered as connected to the same
virtual link and therefore neighbors to each other.]

[with all 6rd CEs and BRs defined as off-link neighbors from one other.]

There is no such thing as an off-link neighbor - a neighbor, by
definition is on the same link.  Maybe I have a nitpick, but certainly
some better text could be uses because off-link vs. on-link has specific
rules for when to issues an NS or not.  

Hemant

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On
Behalf Of RFC Errata System
Sent: Sunday, December 11, 2011 10:14 AM
To: [email-masked]; [email-masked]; [email-masked];
[email-masked]; [email-masked]; [email-masked]
Cc: [email-masked]; [email-masked];
[email-masked]
Subject: [Softwires] [Technical Errata Reported] RFC5969 (3049)

The following errata report has been submitted for RFC5969,
"IPv6 Rapid Deployment on IPv4 Infrastructures (6rd) -- Protocol
Specification".

Section: 12

Original Text
-------------

Corrected Text
--------------

Notes
-----
A CE also needs to accept packets from other CEs within the 6rd domain.
This happens when, within a 6rd domain, two customer sites want to
communicate.
Reference: RFC5569 section 3

Instructions:
-------------

--------------------------------------
RFC5969 (draft-ietf-softwire-ipv6-6rd-10)
--------------------------------------
Title               : IPv6 Rapid Deployment on IPv4 Infrastructures
(6rd) -- Protocol Specification
Publication Date    : August 2010
Author(s)           : W. Townsley, O. Troan
Category            : PROPOSED STANDARD
Source              : Softwires
Area                : Internet
Stream              : IETF
Verifying Party     : IESG
_______________________________________________
Softwires mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/softwires